{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This API is available to full members of Enterprise orgs.**\n\nThe `GET /v1/files/:file_key/variables/published` endpoint returns the variables that are published from the given file.\n\nThe response for this endpoint contains some key differences compared to the `GET /v1/files/:file_key/variables/local` endpoint:\n\n- Each variable and variable collection contains a `subscribed_id`.\n- Modes are omitted for published variable collections\n\nPublished variables have two ids: an id that is assigned in the file where it is created (`id`), and an id that is used by subscribing files (`subscribed_id`). The `id` and `key` are stable over the lifetime of the variable. The `subscribed_id` changes every time the variable is modified and published. The same is true for variable collections.\n\nThe `updatedAt` fields are ISO 8601 timestamps that indicate the last time that a change to a variable was published. For variable collections, this timestamp will change any time a variable in the collection is changed.","properties":{"path":{"type":"object","properties":{"file_key":{"type":"string","description":"File to get variables from. This must be a main file key, not a branch key, as it is not possible to publish from branches."}},"required":["file_key"],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Get published variables","id":"figma.getpublishedvariables","example":{"path":{"file_key":"example"}},"maxRequests":1,"summary":false}}